% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/us-map.R
\name{us_map}
\alias{us_map}
\title{Retrieve US map data}
\usage{
us_map(
  regions = c("states", "state", "counties", "county"),
  include = c(),
  exclude = c(),
  as_sf = FALSE
)
}
\arguments{
\item{regions}{The region breakdown for the map, can be one of
(\code{"states"}, \code{"state"}, \code{"counties"}, \code{"county"}).
The default is \code{"states"}.}

\item{include}{The regions to include in the resulting map. If \code{regions} is
\code{"states"}/\code{"state"}, the value can be either a state name, abbreviation or FIPS code.
For counties, the FIPS must be provided as there can be multiple counties with the
same name. If states are provided in the county map, only counties in the included states
will be returned.}

\item{exclude}{The regions to exclude in the resulting map. If \code{regions} is
\code{"states"}/\code{"state"}, the value can be either a state name, abbreviation or FIPS code.
For counties, the FIPS must be provided as there can be multiple counties with the
same name. The regions listed in the \code{include} parameter are applied first and the
\code{exclude} regions are then removed from the resulting map. Any excluded regions
not present in the included regions will be ignored.}

\item{as_sf}{Whether the output should be an \link[sf]{sf} object or not. If
\code{FALSE} (the current default), the output will be a \link{data.frame}. This is a
temporary parameter to be used only during the shape file format upgrade.
It will be removed in the future once the upgrade is complete and the value
will effectively be \code{TRUE}.}
}
\value{
A data frame of US map coordinates divided by the desired \code{regions}.
}
\description{
Retrieve US map data
}
\examples{
str(us_map())

df <- us_map(regions = "counties")
west_coast <- us_map(include = c("CA", "OR", "WA"))

excl_west_coast <- us_map(exclude = c("CA", "OR", "WA"))

}
